# $Revision: 1.11 $, $Date: 2012/01/28 21:38:59 $
%define		source_name gmpc-lyrics
Summary:	Lyrics provider plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka udostępniająca słowa piosenek dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-lyrics
Version:	11.8.16
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{source_name}-%{version}.tar.gz
# Source0-md5:	fb4f8f7c765a1fc241c39464a050f0e7
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_LYRICS
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
#BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gmpc-devel >= 0.18.100
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
Requires:	gmpc >= 0.19.0
Obsoletes:	gmpc-plugin-lyrics-provider < 11.8.16-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin fetches lyrics from the internet. It uses the following
websites as sources:
- LyricWiki
- LeosLyrics
- Lyrics Tracker

%description -l pl.UTF-8
Ta wtyczka pobiera słowa piosenek z następujęcych serwisów
internetowych:
- LyricWiki
- LeosLyrics
- Lyrics Tracker

%prep
%setup -qn %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/lyricsplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc-plugin-lyrics.spec,v $
Revision 1.11  2012/01/28 21:38:59  glen
- up to 11.8.16, renamed to gmpc-plugin-lyrics to match upstream name

Revision 1.10  2010/09/12 18:10:54  wiget
- 0.20.0

Revision 1.9  2009/09/19 22:31:23  charles
- updated to 0.19.0
- updated BRs

Revision 1.8  2009/09/13 16:08:51  wiget
- updated to 0.18.100

Revision 1.7  2009/03/28 18:29:51  wiget
- fix Source0 URL and md5sum for it

Revision 1.6  2009/03/28 17:34:20  wiget
- updated to 0.18.0

Revision 1.5  2009/01/24 18:58:58  megabajt
- updated to 0.17.0

Revision 1.4  2008/12/06 14:21:59  jajcus
- Version: 0.16.0 (current stable)

Revision 1.3  2007/05/20 21:52:44  wiget
- updated to 0.15.0

Revision 1.2  2007/03/09 18:33:06  qboosh
- formatting, cut down changelog

Revision 1.1  2007/02/20 19:06:22  wiget
- initial version
